package com.gct.dataengine.central.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gct.common.core.result.Result;
import com.gct.dataengine.central.entity.DriverClassesConfig;
import com.gct.dataengine.central.service.DriverClassesConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 驱动清单，以java class为单位 前端控制器
 * </p>
 *
 * @author xsr
 * @since 2022-07-19
 */
@RestController
@RequestMapping("/driver/config")
public class DriverClassesConfigController {

    @Autowired
    DriverClassesConfigService driverClassesConfigService;

    @PostMapping("/update")
    public Result updateDriverClassConfig(@RequestBody DriverClassesConfig driverClassesConfig){
        return Result.ok(driverClassesConfigService.updateById(driverClassesConfig)?"success":"failed");
    }

    @PostMapping("/save")
    public Result saveDriverClassConfig(@RequestBody DriverClassesConfig driverClassesConfig){
        return Result.ok(driverClassesConfigService.saveDriverClassConfig(driverClassesConfig)?"success":"failed");
    }


    @GetMapping("/list")
    public Result getDriverClassConfig(@RequestParam("curPage") Integer curPage,@RequestParam("pageSize") Integer pageSize){
        return Result.ok(driverClassesConfigService.page(new Page<>(curPage,pageSize)));
    }

    @GetMapping("/delete")
    public Result deleteClassConfig(@RequestParam("id") String id){
        return Result.ok(driverClassesConfigService.removeById(id)?"success":"failed");
    }

    @GetMapping("/search")
    public Result searchClassConfig(@RequestParam(required = false) String driverClassName,@RequestParam String driverNamespace){
        return Result.ok(driverClassesConfigService.searchClassConfig(driverClassName,driverNamespace));
    }
}

