package com.gct.dataengine.central.controller;


import com.gct.common.core.result.Result;
import com.gct.dataengine.central.entity.ViewTemplateInfo;
import com.gct.dataengine.central.entity.vo.AddTempInfoVo;
import com.gct.dataengine.central.entity.vo.CopyViewTemplateVo;
import com.gct.dataengine.central.entity.vo.GetTempInfoVo;
import com.gct.dataengine.central.entity.vo.SaveTempInfoVo;
import com.gct.dataengine.central.service.ViewTemplateInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 视图模板信息表 前端控制器
 * </p>
 *
 * @author gxt
 * @since 2022-07-27
 */
@RestController
@RequestMapping("/view/info")
public class ViewTemplateInfoController {

    @Autowired
    ViewTemplateInfoService viewTemplateInfoService;

    @PostMapping("/save")
    public Result saveTemplateInfo(@RequestBody SaveTempInfoVo saveTempInfoVo){
        return Result.ok(viewTemplateInfoService.saveTemplateInfo(saveTempInfoVo));
    }
    @PostMapping("/info")
    public Result getTemplateInfo(@RequestBody GetTempInfoVo getTemplateInfoVo){
        return Result.ok(viewTemplateInfoService.getTempplateInfo(getTemplateInfoVo));
    }
    @PostMapping("/list")
    public Result getTemplateInfoList(@RequestBody GetTempInfoVo getTemplateInfoVo){
        return Result.ok(viewTemplateInfoService.getTempplateInfoList(getTemplateInfoVo));
    }

    @PostMapping("/add")
    public Result addTemplateInfo(@RequestBody AddTempInfoVo addTempInfoVo){
        return Result.ok(viewTemplateInfoService.addTemplateInfo(addTempInfoVo));
    }

    @GetMapping("/delete")
    public Result deleteTemplateInfo(@RequestParam("id") String id){
        return Result.ok(viewTemplateInfoService.deleteTemplateInfo(id));
    }

    @GetMapping("/enable")
    public Result updateTemplateInfo(@RequestParam("id") String id,
                                     @RequestParam("enableState") Integer enableState){
        return Result.ok(viewTemplateInfoService.updateTemplateInfo(id,enableState));
    }

    @PostMapping("/copy")
    public Result copyTemplateInfo(@RequestBody CopyViewTemplateVo copyViewTemplateVo){
        return Result.ok(viewTemplateInfoService.copyTemplateInfo(copyViewTemplateVo));
    }

    @GetMapping("/getViewTempInfoById")
    public Result getViewTempInfoById(@RequestParam("id") String id){
        return Result.ok(viewTemplateInfoService.getViewTempInfoById(id));
    }
}

