package com.gct.dataengine.central.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 驱动清单，以java class为单位
 * </p>
 *
 * @author xsr
 * @since 2022-07-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="DriverClassesConfig对象", description="驱动清单，以java class为单位")
public class DriverClassesConfig extends Model<DriverClassesConfig> {

    private static final long serialVersionUID=1L;

    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "名称")
    private String configName;

    @ApiModelProperty(value = "详细")
    private String configDetail;

    @ApiModelProperty(value = "java class 名称")
    private String className;

    @ApiModelProperty(value = "加载方式")
    private String loadMethod;

    @ApiModelProperty(value = "文件定位id")
    private Double limitVersion;

    @ApiModelProperty(value = "驱动文件名称，快速显示")
    private String driverFileName;

    @ApiModelProperty(value = "创建者")
    private String creator;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime updateTime;

    private String remark;


    @Override
    protected Serializable pkVal() {
        return null;
    }

}
