package com.gct.dataengine.central.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 监控详情信息表
 * </p>
 *
 * @author gxt
 * @since 2022-07-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="MonitorViewInfoList对象", description="监控详情信息表")
public class MonitorViewInfoList extends Model<MonitorViewInfoList> {

    private static final long serialVersionUID=1L;

    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "监控信息别名--显示使用")
    private String monitorAlias;

    private String imgPath;

    @ApiModelProperty(value = "设备模板id")
    private String machineTemplateId;

    @ApiModelProperty(value = "访问状态 0:未知 1:在线 2:离线")
    private Integer accessStatus;

    @ApiModelProperty(value = "template group ")
    private String groupId;

    @ApiModelProperty(value = "只是显示使用")
    @TableField(exist = false)
    private String groupName;

    private String ip;

    private Integer port;

    @ApiModelProperty(value = "视图模板是否启用 1:启用  2:未启用")
    private Integer machineUsable;

    @ApiModelProperty(value = "协议信息")
    private String communicateDetail;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "最后访问时间")
    private LocalDateTime lastAccessTime;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    private String remark;


    @Override
    protected Serializable pkVal() {
        return null;
    }

}
