package com.gct.dataengine.central.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 视图模板信息表
 * </p>
 *
 * @author gxt
 * @since 2022-07-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ViewTemplateInfo对象", description="视图模板信息表")
public class ViewTemplateInfo extends Model<ViewTemplateInfo> {

    private static final long serialVersionUID=1L;

    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "视图模板名称")
    private String viewTempName;


    @ApiModelProperty(value = "视图分组id")
    private String groupId;

    @TableField(exist = false)
    private String groupName;

    @ApiModelProperty(value = "设备模板id")
    private String machineTemplateId;

    private String deviceId;

    @ApiModelProperty(value = "图片地址")
    private String headerImg;

    @ApiModelProperty(value = "标签")
    private String tagInfo;

    @ApiModelProperty(value = "启用状态 1:启用,2:启用")
    private Integer enableState;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "设备模板id 集合")
    private String machineTemplateIdList;

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
