package com.gct.dataengine.central.feignclient;

import com.gct.common.core.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

/**
 * interface name: suitcaseClient
 *
 * @author gxt
 * @version 1.0
 * @since 2022/6/13 下午4:52 周一
 */
@FeignClient(value = "data-engine-suitcase",fallback = SuitcaseHystrix.class)
public interface SuitcaseClient {


    @GetMapping("/template/group/getGroupNameList")
    String getGroupNameList(@RequestParam("tempType") String tempType);

    @GetMapping("/template/group/getGroupIdList")
    String getGroupIdList(@RequestParam("groupId") String groupId,
                                 @RequestParam("tempType") String tempType);

    @GetMapping("/template/group/getAllParentName")
    String getAllParentName(@RequestParam("groupId") List<String> ids,
                                   @RequestParam("tempType") String tempType);

    @PostMapping("/template/file/copyObject")
    String copyObject(@RequestBody Map<String, String> reqMap);
}
