package com.gct.dataengine.central.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.IdWorker;
import com.gct.dataengine.central.entity.DriverClassesConfig;
import com.gct.dataengine.central.entity.vo.DriverLocation;
import com.gct.dataengine.central.mapper.DriverClassesConfigMapper;
import com.gct.dataengine.central.service.DriverClassesConfigService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.security.core.context.SecurityContextHolder;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.Objects;

/**
 * <p>
 * 驱动清单，以java class为单位 服务实现类
 * </p>
 *
 * @author xsr
 * @since 2022-07-19
 */
@Service
public class DriverClassesConfigServiceImpl extends ServiceImpl<DriverClassesConfigMapper, DriverClassesConfig> implements DriverClassesConfigService {

    @Override
    public boolean saveDriverClassConfig(DriverClassesConfig driverClassesConfig) {
        driverClassesConfig.setId(Long.toString(IdWorker.getId()));
        driverClassesConfig.setUpdateTime(LocalDateTime.now());
        driverClassesConfig.setCreateTime(LocalDateTime.now());
        driverClassesConfig.setCreator(SecurityContextHolder.getContext().getAuthentication().getName());
        return this.save(driverClassesConfig);
    }

    @Override
    public DriverLocation searchClassConfig(String driverClassName, String driverNamespace) {
        QueryWrapper<DriverClassesConfig> wrapper = new QueryWrapper<DriverClassesConfig>()
                .eq("config_name", driverNamespace);
        if(Objects.nonNull(driverClassName))wrapper.eq("class_name", driverClassName);

        DriverClassesConfig config = this.getOne(wrapper);
        if (Objects.isNull(config))return null;
        return new DriverLocation(config.getDriverFileName(),config.getLimitVersion());
    }
}
