package com.gct.dataengine.central.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.gct.dataengine.central.entity.MachineServerState;
import com.gct.dataengine.central.entity.vo.ConditionMonitorData;
import com.gct.dataengine.central.mapper.MachineServerStateMapper;
import com.gct.dataengine.central.service.MachineServerStateService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gxt
 * @since 2022-07-27
 */
@Service
public class MachineServerStateServiceImpl extends ServiceImpl<MachineServerStateMapper, MachineServerState> implements MachineServerStateService {

    @Override
    public Boolean writeState(ConditionMonitorData conditionMonitorData) {
        Map<Integer, Boolean> stateMap = conditionMonitorData.getStateMap();
        String templateId = conditionMonitorData.getTemplateId();
        stateMap.forEach((deviceId,isOnline)->{
            this.update(new UpdateWrapper<MachineServerState>().set("online",isOnline?1:2)
                    .eq("template_id",templateId)
                    .eq("device_id",Integer.toString(deviceId)));
        });
        return true;
    }

    @Override
    public Boolean saveOrUpdateState(List<MachineServerState> machineServerStates) {
        machineServerStates.forEach(machineServerState -> {
            this.saveOrUpdate(machineServerState,
                    new QueryWrapper<MachineServerState>()
                            .eq("template_id",machineServerState.getTemplateId())
                            .eq("device_id",machineServerState.getDeviceId())
            );
        });
        return true;
    }
    @Override
    public List<MachineServerState> getList() {
        return baseMapper.selectList(null);
    }
}
